@echo off
title Autorun清除程式
echo 歡迎使用Autorun清除程式........................
echo. 
echo 此程式會造成短暫的登出,請使用者先儲存或關掉目前作業或工作!!
echo 如果你的光碟機中有光碟片請先彈出後按任一鍵繼續!!
pause
echo ==U盤病毒-No.1 kill程式==
echo.
echo ==刪除工作管理員應用程式內,偽裝成EXCEL圖示的kill程式==
taskkill /F /FI "windowtitle eq kill"
echo.
echo ==刪除各磁碟內RECYCLER目錄下INFO.exe==
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO attrib -s -h -r %%i\RECYCLER\INFO.exe
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO del %%i\RECYCLER\INFO.exe
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO rd /s /q %%i\RECYCLER
echo.
echo ==刪除各磁碟內根目錄下Autorun.inf與tel.xls.exe==
echo ==========刪除tel.xls.exe與Autorun.inf===========
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO attrib -s -h -r %%i\AUTORUN.INF
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO del %%i\AUTORUN.INF
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO attrib -s -h -r %%i\tel.xls.exe
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO del %%i\tel.xls.exe
echo.
echo ==刪除Session.exe==
attrib -s -h -r %windir%\Session.exe
taskkill /F /IM Session.exe
del %windir%\Session.exe
echo.
echo ==刪除svchost.exe===========
attrib -s -h -r %windir%\svchost.exe
tasklist | find "%windir%\svchost.exe" && taskkill
del %windir%\svchost.exe
echo.
echo ==刪除\$hf_mig$\svchost.exe==
attrib -s -h -r %windir%\$hf_mig$\svchost.exe
tasklist | find "%windir%\$hf_mig$\svchost.exe" && taskkill
del %windir%\$hf_mig$\svchost.exe
echo.
echo ==刪除C:\Program Files\Windows Media Player\svchost.exe==
attrib -s -h -r C:\Program Files\Windows Media Player\svchost.exe
taskkill /FI "memusage eq 2616" /F
taskkill /FI "memusage eq 2612" /F
cd \
cd program files
cd windows media player
del svchost.exe
echo.
echo ==刪除\system32\inetsrv.exe(此目錄與該檔不一定存在)==
attrib -s -h -r %windir%\system32\inetsrv.exe
taskkill /F /FI "imagename eq inetsrv.exe"
del %windir%\system32\inetsrv.exe
echo.
echo ==刪除\system32\SocksA.exe==
attrib -s -h -r %windir%\system32\SocksA.exe
tasklist | find "%windir%\system32\SocksA.exe" && taskkill
del %windir%\system32\SocksA.exe
echo.
echo ==刪除\system32\Filekan.exe==
attrib -s -h -r %windir%\system32\Filekan.exe
tasklist | find "%windir%\system32\Filekan.exe" && taskkill
del %windir%\system32\Filekan.exe
echo.
echo ==刪除系統目錄\rundl132.exe檔==
attrib -s -h -r %windir%\rundl132.exe
taskkill /FI "imagename eq rundl132.exe" /F
del %windir%\rundl132.exe
echo.
echo ==刪除系統目錄\system\rundl132.exe檔==
tasklist /FI "username eq %username%" &&  taskkill /IM rundll32.exe
attrib -s -h -r %windir%\system\rundll32.exe
del %windir\system\rundll32.exe
echo.
echo ==刪除msconfig內SocksA.exe項目==
reg delete HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Run /f /v ASocksrv
echo.
cls

echo ==U盤病毒-No.2 存取被拒==
echo.
echo ==恢復與刪除各磁碟內RECYCLER目錄==
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO attrib -s -h -r %%i\recycler
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO attrib -s -h -r %%i\recycler\*
taskkill /F /FI Driveinfo.exe
taskkill /F /FI recycler.exe
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO rd /s /q %%i\recycler
echo.
echo ==刪除\sytem32目錄內driveinfo.exe(此檔不一有)
attrib -r -s -h %windir%\system32\driveinfo.exe
taskkill /F /FI driveinfo.exe
del %windir%\system32\driveinfo.exe
echo.
echo ==刪除各磁碟內根目錄下Autorun.inf==
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO attrib -s -h -r %%i\AUTORUN.INF
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO del %%i\AUTORUN.INF
echo.
cls

echo ==U盤病毒-No.3==
echo.
echo ==刪除隱藏偽檔svchost.exe,Path:\system\svchost.exe"==
echo ==終止工作管理員偽檔-svchost.exe==
echo.
taskkill /FI "username eq %username%" /FI "imagename eq svchost.exe" /F
attrib -r -s -h %windir%\system\svchost.exe
attrib -r -s -h /S /D %windir%\system\_sv_CMD_
attrib -r -s -h /S /D %windir%\system\drivers
rd /s /q %windir%\system\_sv_CMD_
del %windir%\system\svchost.exe
rd /s /q %windir%\system\drivers
echo.
echo ==恢復與刪除各磁碟內RECYCLER目錄==
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO attrib -s -h -r %%i\recycler
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO attrib -s -h -r %%i\recycler\*
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO rd /s /q %%i\recycler
echo.
cls

echo ==U盤病毒-No.4 Recycled.exe(垃圾桶icon)==
echo.
echo ==刪除Recycled.exe複製至\system32之病毒檔案==
echo.
attrib -r -s -h %windir%\system32\windata.exe
attrib -r -s -h %windir%\system32\url.exe
attrib -r -s -h %windir%\system32\csiss.exe
attrib -r -s -h %windir%\system32\parffilt.ini
attrib -r -s -h %windir%\system32\Scryptnat.dll
del %windir%\system32\windata.exe
del %windir%\system32\parffilt.ini
taskkill /F /IM csiss.exe
del %windir%\system32\csiss.exe
del %windir%\system32\Scryptnat.dll
taskkill /FI "imagename eq url.exe" /F
del %windir%\system32\url.exe
echo.
echo ==刪除各磁碟內RECYCLER目錄==
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO attrib -s -h -r %%i\recycler
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO attrib -s -h -r %%i\recycler\*
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO rd /s /q %%i\recycler
echo.
echo ==刪除各磁碟內recycled.exe==
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO attrib -s -h -r %%i\recycled.exe
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO del %%i\recycled.exe
echo.
cls

echo ==U盤病毒-No.5 fun.xls.exe==
echo ==此批次檔取自於米拉落草的青樓autorun專殺工具==
echo.
taskkill /im explorer.exe /f
taskkill /im wscript.exe /f
taskkill /im algsrvs.exe /f
start reg DELETE HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Run /v IMJPMIG8.2 /f
start reg DELETE HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Run /v MsServer /f
start reg DELETE HKEY_LOCAL_MACHINE\Software\Microsoft\windows\CurrentVersion\explorer\Advanced\Folder\Hidden\SHOWALL /v CheckedValue /f
echo.
echo ==刪除各磁碟內根目錄下Autorun.inf與fun.xls.exe==
echo ==========刪除tel.xls.exe與Autorun.inf===========
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO attrib -s -h -r %%i\AUTORUN.INF
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO del %%i\AUTORUN.INF
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO attrib -s -h -r %%i\fun.xls.exe
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO del %%i\fun.xls.exe
echo.
echo ==刪除各磁碟系統目錄下Autorun.inf與fun.xls.exe==
echo ==========刪除tel.xls.exe與Autorun.inf===========
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO attrib -s -h -r %%i\%windir%\system32\AUTORUN.INF
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO del %%i\%windir%\system32AUTORUN.INF
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO attrib -s -h -r %%i\%windir%\system32\fun.xls.exe
for  %%i in (C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:) DO del %%i\%windir%\system32\fun.xls.exe
echo.
del %windir%\system32\msime82.exe /f
del %windir%\system32\algsrvs.exe /f
del %windir%\system32\msfun80.exe /f
del %temp%\~DF8785.tmp /f /q /as
del %temp%\~DFD1D6.tmp /f /q /as
del %temp%\~DFA4C3.tmp /f /q /as
del %temp%\~DFC86B.tmp /f /q /as
del %systemroot%\ufdata2000.log /f
start explorer.exe
cls

echo ==刪除異常DLL檔==
del %windir%\system32\PDLL.DLL
del %windir%\system32\dlyy.dll
del %windir%\system32\rxdll.dll
del %windir%\system32\wpa.dbl
attrib -r -s -h %temp%\er2.dll
del %temp%\er2.dll
echo.
:echo ==恢復登錄檔,預設打開各磁碟機方式之項目==
:regedit /s Userinit.reg
:echo ==恢復登錄當內,隱藏系統檔項目==
:regedit /s CheckedValue.reg
echo ==恢復被更改的登錄檔==
start reg add HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\EXplorer\Advanced /v ShowSuperHidden /t REG_DWORD /d 1 /f
start reg add HKEY_LOCAL_MACHINE\Software\Microsoft\windows\CurrentVersion\explorer\Advanced\Folder\Hidden\SHOWALL /v CheckedValue /t REG_DWORD /d 1 /f







